# Load Customer

<mark style="color:blue;">`GET`</mark> `{{base_url}}/customer/:customer_tag`

#### Request Parameters

| Name                                            | Type   | Description             |
| ----------------------------------------------- | ------ | ----------------------- |
| customer\_tag<mark style="color:red;">\*</mark> | String | The unique customer tag |

#### Headers

| Name                                            | Type   | Description                  |
| ----------------------------------------------- | ------ | ---------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer {{your\_secret\_key}} |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "data": {
        "id": "e9b7d6f7-8ce4-4952-92c9-6615885c4739",
        "name": "Gucci Buyer",
        "business_name": "Gucci Buyer",
        "phone_number": "2348100192839",
        "customer_tag": "CUS_ZVqNWCjsnXt4",
        "address": {
            "id": "ea6eec53-61aa-4834-ab72-b8602fde9d5b",
            "house_name_or_no": "4",
            "street": "International Boulevard 98th Zone",
            "city": "Esan West",
            "zip_code": "342101",
            "state": "Edo",
            "country": "Nigeria"
        },
        "createdAt": "2023-05-12T16:34:47.000000Z",
        "updatedAt": "2023-06-03T14:19:23.000000Z"
    },
    "success": true,
    "message": "Data retrieved successfully"
}
```

{% endtab %}

{% tab title="404: Not Found Customer not found" %}

```json
{
    "success": false,
    "error": "Error in request",
    "message": "Customer not found"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.browpay.com/customers/load-customer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
